For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
      • GETList Components
      • GETGet Component Content
      • POSTUpdate Component Content
      • GETGet Component Properties
      • POSTUpdate Component Properties
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Pages and ComponentsComponents

Get Component Content

GET
https://api.webflow.com/v2/sites/:site_id/components/:component_id/dom
GET
/v2/sites/:site_id/components/:component_id/dom
$curl -G https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/components/8505ba55-ef72-629e-f85c-33e4b703d48b/dom \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0 \
> -d branchId=68026fa68ef6dc744c75b833 \
> -d limit=100 \
> -d offset=0
1{
2 "componentId": "69118560-d0bc-4fbb-8bfe-5f6535b50001",
3 "nodes": [
4 {
5 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad623",
6 "type": "text",
7 "text": {
8 "html": "<h1>The Hitchhiker's Guide to the Galaxy</h1>",
9 "text": "The Hitchhiker's Guide to the Galaxy"
10 },
11 "attributes": {}
12 },
13 {
14 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad627",
15 "type": "text",
16 "text": {
17 "html": "<div><h3>Don't Panic!</h3><p>Always know where your towel is.</p></div>",
18 "text": null
19 },
20 "attributes": {
21 "number": "forty two"
22 }
23 },
24 {
25 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad629",
26 "type": "image",
27 "image": {
28 "alt": "Marvin, the Paranoid Android",
29 "assetId": "659595234426a9fcbad57043"
30 },
31 "attributes": {}
32 },
33 {
34 "id": "6e468d51-8942-f7be-34cc-347b0e24e118",
35 "type": "text-input",
36 "placeholder": "Search…",
37 "attributes": {}
38 },
39 {
40 "id": "82cdcd0b-b9c7-0ddc-0519-bc1fa02de26e",
41 "type": "select",
42 "choices": [
43 {
44 "value": "Magrathea",
45 "text": "Magrathea"
46 },
47 {
48 "value": "mostly-harmless",
49 "text": "Earth"
50 },
51 {
52 "value": "Vogsphere",
53 "text": "Vogsphere"
54 }
55 ],
56 "attributes": {}
57 },
58 {
59 "id": "9fa3a9c4-87d4-19b0-95f7-1b0b099f82ab",
60 "type": "submit-button",
61 "value": "Subscribe",
62 "waitingText": "Please wait...",
63 "attributes": {}
64 },
65 {
66 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad631",
67 "type": "text",
68 "text": {
69 "html": "string",
70 "text": "string"
71 },
72 "componentId": "6258612d-1ee7-4284-8f80-5dcf12345678",
73 "propertyOverrides": [
74 {
75 "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad633",
76 "type": "Plain Text",
77 "text": {
78 "html": null,
79 "text": "Don't Panic!"
80 }
81 },
82 {
83 "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad635",
84 "type": "Rich Text",
85 "text": {
86 "html": "<div><p>Always know where your towel is.</p></div>",
87 "text": null
88 }
89 }
90 ]
91 }
92 ],
93 "pagination": {
94 "limit": 7,
95 "offset": 0,
96 "total": 7
97 }
98}
Get static content from a component definition. This includes text nodes, image nodes, select nodes, text input nodes, submit button nodes, and nested component instances. To retrieve dynamic content set by component properties, use the [get component properties](/data/reference/pages-and-components/components/get-properties) endpoint. <Note>If you do not provide a Locale ID in your request, the response will return any content that can be localized from the Primary locale.</Note> Required scope | `components:read`
Was this page helpful?
Previous

Update Component Content

Next
Built with

Get static content from a component definition. This includes text nodes, image nodes, select nodes, text input nodes, submit button nodes, and nested component instances. To retrieve dynamic content set by component properties, use the get component properties endpoint.

If you do not provide a Locale ID in your request, the response will return any content that can be localized from the Primary locale.

Required scope | components:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
component_idstringRequired
Unique identifier for a Component

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

branchIdstringOptionalformat: "objectid"
Scope the operation to work on a specific branch.
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records

Response

Request was successful
componentIdstring
Component ID
nodeslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error